R4i Gold Compatible with 1.4e

Discussion in 'NDS - Flashcarts and Accessories' started by SamAsh07, Jan 25, 2010.

Jan 25, 2010

R4i Gold Compatible with 1.4e by SamAsh07 at 10:55 AM (1,265 Views / 0 Likes) 4 replies

  1. SamAsh07
    OP

    Member SamAsh07 GBAtemp Addict

    Joined:
    Jan 27, 2009
    Messages:
    2,693
    Location:
    Bahrain
    Country:
    Bahrain
    Ok I'm not gonna buy this (will IF I dont find other flashcarts)...anyways, to the point and out, the flashcart says
    "DSi v1.4e Compatible"

    While my DSi is v1.4U...okkaayyy...so that means it won't work??
     
  2. Chaz.

    Member Chaz. GBAtemp Fan

    Joined:
    Jul 7, 2009
    Messages:
    314
    Location:
    UK
    Country:
    United Kingdom
    Flash carts are region free and will work on any 1.4 firmware. Your probably better off getting DSTTi or Acekard 2i though...
     
  3. noammax

    Member noammax GBAtemp Regular

    Joined:
    Aug 28, 2007
    Messages:
    115
    Country:
    Canada
    I agree with chaz. I got an acecard 2i for my dsi 1.4u and its GREAT.
     
  4. SamAsh07
    OP

    Member SamAsh07 GBAtemp Addict

    Joined:
    Jan 27, 2009
    Messages:
    2,693
    Location:
    Bahrain
    Country:
    Bahrain
    I would if I could but I can't so I won't....tried the UAE and my own country (Bahrain) and all they sell is "R4i Gold"..so what if its a clone, it can't be THAT bad...I own DSTT and EzFlash V for Lite and Phat respectively.
     
  5. Jamstruth

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    Its functional but the problem is that many new games simply do not work for it, even on YSMenu so patches have to be applied to the games before they will work on an R4
     

Share This Page